DOMCdataSection
DOMCharacterData
DOMCdataSection
PHP Manual

# DOMCdataSection::__construct

(PHP 5)

DOMCdataSection::__construct — Constructs a new DOMCdataSection object

### Descrição

public DOMCdataSection::__construct() ( string `$value` )

Constructs a new CDATA node. This works like the DOMText class.

### Parâmetros

`value`

  The value of the CDATA node. If not supplied, an empty CDATA node is created.

### Exemplos

Exemplo #1 Creating a new DOMCdataSection object

`<?php
$dom = new DOMDocument('1.0', 'utf-8');
$element = $dom->appendChild(new DOMElement('root'));
$text = $element->appendChild(new DOMCdataSection('root value'));
echo $dom->saveXML();
?>`

O exemplo acima irá imprimir:

    <?xml version="1.0" encoding="utf-8"?>
    <root><![CDATA[root value]]></root>

### Veja Também

- DOMText::__construct() - Creates a new DOMText object
- DOMDocument::createTextNode() - Create new text node

DOMCdataSection
DOMCharacterData
DOMCdataSection
PHP Manual